Imports GrapeCity.ActiveReports 
Imports GrapeCity.ActiveReports.Document
Imports GrapeCity.DataVisualization.Chart

Public Class rptMahnung
    Dim _LAN = ""
    Dim _OPTION = ""
    Dim _FIRMAID As Integer = -1
    Dim DICT As Dictionary(Of String, String) = Nothing

    Sub New()
        InitializeComponent()
        Me.Document.Printer.PrinterName = ""
    End Sub
    Sub New(_LAN, _OPTION, _FIRMAID)
        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        Me.Document.Printer.PrinterName = ""
        Me._LAN = _LAN
        Me._OPTION = _OPTION
        Me._FIRMAID = _FIRMAID
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
    End Sub

    Sub New(_LAN, _OPTION, _FIRMAID, _DICT)
        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        Me.Document.Printer.PrinterName = ""
        Me._LAN = _LAN
        Me._OPTION = _OPTION
        Me._FIRMAID = _FIRMAID
        Me.DICT = _DICT
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
    End Sub
    Private Sub rptRechnungDruck_ReportStart(sender As Object, e As EventArgs) Handles MyBase.ReportStart
        Me.Document.Printer.PrinterName = ""

        If _LAN.replace("DE", "") <> "" Then
            SDL.cProgramFunctions._TRANSLATE_RPT(Me, Me.ReportHeader1.Controls, _LAN, "rptMahnung", _OPTION, _FIRMAID, DICT)
            SDL.cProgramFunctions._TRANSLATE_RPT(Me, Me.ReportFooter1.Controls, _LAN, "rptMahnung", _OPTION, _FIRMAID, DICT)
            SDL.cProgramFunctions._TRANSLATE_RPT(Me, Me.GroupHeader4.Controls, _LAN, "rptMahnung", _OPTION, _FIRMAID, DICT)
            SDL.cProgramFunctions._TRANSLATE_RPT(Me, Me.PageFooter.Controls, _LAN, "rptMahnung", _OPTION, _FIRMAID, DICT)
        End If

    End Sub

End Class
